#!/bin/sh
# 
# LICENSE: <george@galis.org> wrote this file. 
# You can do anything with it -- George Georgalis

# https://wiki.gnome.org/Apps/Dia/Download

# custom build for larger resize handles

set -e

version=0.97.2
major=${version%.*}
dir=dia-${version}
file=dia-${version}.tar.xz
uri=http://ftp.gnome.org/pub/gnome/sources/dia/${major}/${file}
dist=/usr/local/dist
src=/usr/local/src
mkdir -p $dist
cd $dist
#ftp "$uri"
[ "$(uname)" = "Linux" ] && [ ! -e "${file}" ] && wget "$uri"

mkdir -p $src
cd $src
xzcat ${dist}/${file} | tar x
patch ${dir}/app/handle_ops.c<<EOF
24c24
< #define HANDLE_SIZE 7
---
> #define HANDLE_SIZE 11
EOF

cd ${dir}
[ -e "Makefile" ] && make distclean
./configure --prefix=/usr/local/${dir} && make && [ -w /usr/local ] && make install

exit


No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 14.04.1 LTS
Release:	14.04
Codename:	trusty

<<<<<<<<<<<<<<<<<<<
checking for intltool >= 0.35.0... ./configure: line 14657: intltool-update: command not found
 found
configure: error: Your intltool is too old.  You need intltool 0.35.0 or later.

>>>>>>>
intltool


<<<<<<<<<<<<<<<<<<<
No package 'gmodule-2.0' found
No package 'gobject-2.0' found
>>>>>>>
libitl-gobject-dev
libgirepository1.0-dev

libpango1.0-dev


<<<<<<<<<<<<<<<<<<<
No package 'gtk+-1.0' found
No package 'libxml-2.0' found
No package 'gdk-pixbuf-2.0' found
>>>>>>>
libgtk-3-dev
libxml++2.6-dev
libgtk2.0-dev


<<<<<<<<<<<<<<<<<<<
/bin/bash ../../libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I../.. -I./../../lib -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/harfbuzz -I/usr/include/libxml2    -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12      -I/usr/include/libxml2 -I/usr/include/freetype2 -g -O2  -Wall --std=c89 -Wdeclaration-after-statement -Wmissing-prototypes -Wmissing-declarations -finline-functions -fstrict-aliasing -Wpointer-arith -Winit-self -Wformat-nonliteral -MT diapsft2renderer.lo -MD -MP -MF .deps/diapsft2renderer.Tpo -c -o diapsft2renderer.lo diapsft2renderer.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../.. -I./../../lib -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/harfbuzz -I/usr/include/libxml2 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/libxml2 -I/usr/include/freetype2 -g -O2 -Wall --std=c89 -Wdeclaration-after-statement -Wmissing-prototypes -Wmissing-declarations -finline-functions -fstrict-aliasing -Wpointer-arith -Winit-self -Wformat-nonliteral -MT diapsft2renderer.lo -MD -MP -MF .deps/diapsft2renderer.Tpo -c diapsft2renderer.c  -fPIC -DPIC -o .libs/diapsft2renderer.o
diapsft2renderer.c:32:30: fatal error: freetype/ftglyph.h: No such file or directory
 #include <freetype/ftglyph.h>
                              ^
compilation terminated.
make[3]: *** [diapsft2renderer.lo] Error 1
make[3]: Leaving directory `/usr/local/src/dia-0.97.2/plug-ins/postscript'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/local/src/dia-0.97.2/plug-ins'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/local/src/dia-0.97.2'
make: *** [all] Error 2
>>>>>>>
libftgl2
libftgl-dev
ftgl-dev

